@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html,
body {
    font-family: "Poppins", sans-serif;
    font-weight: 300;
    font-style: normal;
    scroll-behavior: smooth;
}

header {
    position: sticky;
    top: 0;
    z-index: 2;
}

nav {
    height: 8vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #0089b7;
    color: white;
}

.nav_container {
    width: 90%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav_container h2 {
    font-size: 30px;
}

.nav_container ul {
    list-style-type: none;
    display: flex;
    gap: 50px;
}

.nav_container ul li {
    border-bottom: 2px solid #0089b7;
    transition: 0.2s ease-in-out;
}

.nav_container ul li:hover {
    border-bottom: 2px solid #fff700;
    transition: 0.2s ease-in-out;
}

.nav_container ul a {
    text-decoration: none;
    color: inherit;
    font-size: 20px;
}

.hero_section {
    border-bottom: 5px solid #0089b7;
    height: 90vh;
    display: flex;
    align-items: center;
    justify-content: space-around;
    background-color: #003d62;
    color: white;
    padding: 0 60px;
    scroll-margin-top: 60px;
}

.hero_section h1 {
    font-size: 50px;
}

.hero_section h2 {
    font-size: 40px;
}

.typing {
    border-right: 5px solid #fff700;
    animation:
        blinking 1s steps(1, end) infinite,
        typing 3s steps(60, end);
    overflow: hidden;
    white-space: nowrap;
}

@keyframes blinking {
    0% {
        border-color: transparent;
    }

    50% {
        border-color: #fff700;
    }

    100% {
        border-color: transparent;
    }
}

@keyframes typing {
    0% {
        width: 0;
    }

    100% {
        width: 100%;
    }
}

#yellow {
    color: #fff700;
}

#small {
    font-size: 30px;
}

.project_section {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: column;
    background-color: #003251;
    padding-bottom: 50px;
    scroll-margin-top: 60px;
}

.project_section h2 {
    font-size: 60px;
    margin: 30px auto;
    color: white;
}

.grid_container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 80px;
    row-gap: 50px;
}

.card {
    width: 320px;
    display: flex;
    flex-direction: column;
    border-radius: 0.5rem;
    overflow: hidden;
    transition: 0.2s ease-in-out;
}

.card a {
    text-decoration: none;
}

.card:hover {
    transform: scale(1.05);
    transition: 1s ease-in-out;
}

.card:hover img {
    transform: scale(1.05);
    transition: 0.3s ease-in-out;
    opacity: 0.8;
}

.card:hover .card_content {
    background: white;
    color: #003d62;
    transform: translateY(0px);
}

.card_content {
    padding: 2rem;
    position: relative;
    top: -5.6rem;
    margin-bottom: -6.5rem;
    transition: 0.5s ease-in-out;
    transform: translateY(100px);
}

.card_content h3 {
    text-align: center;
}


.contact_section {
    height: 80vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 4rem;
    background-color: #003d62;
    color: white;
    scroll-margin-top: 60px;
}

.contact_section h2 {
    font-size: 60px;
}

.contact_upper_row {
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: 50px;
}

.contact_way {
    display: flex;
    align-items: center;
    justify-content: space-around;
    font-size: 30px;
    gap: 10px;
}

.contact_lower_row {
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: 50px;
}

footer {
    height: 8vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #003251;
    color: white;
}

/* media query  */

@media only screen and (max-width: 768px) {
    .hero_section {
        flex-direction: column;
    }

    .hero_section img {
        width: 300px;
    }

    .grid_container {
        grid-template-columns: repeat(2, 1fr);
    }

    .contact_section h2 {
        font-size: 50px;
    }

    .contact_section h3 {
        font-size: 30px;
    }

}

@media only screen and (max-width: 600px) {
    .grid_container {
        grid-template-columns: repeat(1, 1fr);
    }

    .contact_section h2 {
        font-size: 40px;
    }

    .contact_section h3 {
        font-size: 25px;
    }
}

@media only screen and (max-width: 400px) {

    .nav_container h2 {
        font-size: 20px;
    }

    .nav_container ul a {
        font-size: 15px;
    }

    .nav_container ul {
        gap: 18px;
    }

    .hero_section img {
        width: 250px;
    }

    .hero_content h1,
    .hero_content h2 {
        font-size: 30px;
        text-align: center;
    }

    .project_section h2 {
        font-size: 40px;
    }

    .card {
        width: 300px;
    }

    .contact_section h2 {
        font-size: 30px;
    }

    .contact_section h3 {
        font-size: 10px;
    }
}